/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 */
package org.enhydra.zeus.util;

// JUnit imports
import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

// DTDParser imports
import com.wutka.dtd.DTDElement;
import com.wutka.dtd.DTDName;
import com.wutka.dtd.DTDPCData;

/**
 * <p>
 *  This is a test case for the <code>{@link DTDUtils}</code> class.
 * </p>
 *
 * @author Brett McLaughlin
 */
public class DTDUtilsTest extends TestCase {

    /**
     * <p>
     *  This constructs a new <code>DTDUtilsTest</code>.
     * </p>
     *
     * @param name the name of the test case.
     */
    public DTDUtilsTest(String name) {
        super(name);
    }

    /**
     * <p>
     *  This method maeks it easier to call these
     *    tests dynamically.
     * </p>
     *
     * @return <code>TestSuite</code> - corresponds to this 
     *         <code>TestCase</code>.
     */
    public static Test suite(){
        return new TestSuite(DTDUtilsTest.class);
    }

    /**
     * <p>
     *  This tests the <code>{@link DTDUtils#isSimpleType}</code> method.
     * </p>
     */
    public void testIsSimpleType() {
        DTDElement element = new DTDElement();
        boolean ignoreIDAttributes = true;
        element.setContent(new DTDPCData());
        assertTrue(DTDUtils.isSimpleElement(element, ignoreIDAttributes));
        
        DTDName name = new DTDName("child");
        element.setContent(name);
        assertTrue(!DTDUtils.isSimpleElement(element, ignoreIDAttributes));
    }
}
